#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 9. General Libraries

- Prev

  Umockdev-0.17.6

- Next

  Wayland-Protocols-1.25

- Up
- Home

# Wayland-1.20.0

## Introduction to Wayland

Wayland is a project to define a protocol for a compositor to talk to its clients as well as a library implementation of the protocol.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://wayland.freedesktop.org/releases/wayland-1.20.0.tar.xz

- Download MD5 sum: 5095264157bf0565b921ceaf9d698d98

- Download size: 220 KB

- Estimated disk space required: 6.2 MB (with tests)

- Estimated build time: 0.1 SBU (with tests)

### Wayland Dependencies

#### Required

libxml2-2.9.13

#### Optional

Doxygen-1.9.3, Graphviz-2.50.0 and xmlto-0.0.28 (to build the API documentation) and docbook-xml-4.5, docbook-xsl-1.79.2 and libxslt-1.1.35 (to build the manual pages)

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/wayland

## Installation of Wayland

Install Wayland by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr       \
          --buildtype=release \
          -Ddocumentation=false &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--disable-documentation`: This switch is used to disable building of the API documentation. Remove it if you have installed optional dependencies.

## Contents

Installed Programs: wayland-scanner
Installed Libraries: libwayland-client.so, libwayland-cursor.so, libwayland-egl.so, and libwayland-server.so
Installed Directories: /usr/share/wayland

### Short Descriptions

wayland-scanner | is a tool to generate proxy methods in wayland-client-protocol.h and wayland-server-protocol.h
`libwayland-client.so` | contains API functions for writing Wayland applications
`libwayland-cursor.so` | contains API functions for managing cursors in Wayland applications
`libwayland-egl.so` | contains API functions for handling OpenGL calls in Wayland applications
`libwayland-server.so` | contains API functions for writing Wayland compositors

Last updated on

- Prev

  Umockdev-0.17.6

- Next

  Wayland-Protocols-1.25

- Up
- Home